## org.apache.xerces.impl.xs.psvi
Interface StringList

All Known Implementing Classes:
  StringListImpl

public interface StringList

The `StringList` is an ordered collection of `GenericString`. The interface may be updated or replaced.

Method Summary
`int` `getLength()` The number of `GenericString` in the list.
`java.lang.String` `item(int index)` Returns the `index`th item in the collection.

Method Detail

### getLength

    public int getLength()

  The number of `GenericString` in the list. The range of valid child object indices is 0 to `length-1` inclusive.

### item

    public java.lang.String item(int index)

  Returns the `index`th item in the collection. The index starts at 0. If `index` is greater than or equal to the number of objects in the list, this returns `null`.
  Parameters:
    `index` - index into the collection.
  Returns:
    The `GenericString` at the `index`th position in the `StringList`, or `null` if that is not a valid index.

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.